@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
*,html{
    padding: 0;
    margin: 0;
}
body{
    padding: 0;
}
body{
    padding-left: 0%;
    padding-right: 0%;
}
.headerdiv{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    background-color: white;
    margin-top: 2%;
    margin-bottom: 2%;
}

.headerdiv > img{
    display: flex;
    margin: auto;
    height: 4vw;
}

.sub-headerdiv{
    position: relative;
    display: block;
    top: 0;
    left: 0;
    width: 98%;
    justify-content: center;
    background-color: #191e8c;
    text-align: center;
    padding: 1%;
    padding-top: 2.5%;
    padding-bottom: 2.5%;

}

.sub-headerdiv > h1{
    width: fit-content;
    display: inline;
    margin: auto;
    padding: 4%;
    font-size: 1.8vw;
    text-align: center;
    color: white;
    font-family: 'Roboto', sans-serif;
    font-weight: 500;
}

.imgheader{
    position: relative;
    width: 100%;
}

.btnInscription{
    display: flex;
    text-decoration: none;
    border-radius: 1.5vw;
    position: relative;
    top: -4vw;
    font-size: 3vw;
    font-family: 'Roboto', sans-serif;
    font-weight: bolder;
    width: fit-content;
    margin: auto;
    padding: 2.5%;
    padding-left: 5%;
    padding-right: 5%;
    background-color: #191e8c;
    border: 0.55vw solid #f9c700;
    color: white;
    transition: 0.3s;
    box-shadow: 0px 0px 28px -1px rgba(0,0,0,0.54);
}

.btnInscription:hover{
    top: -4.5vw;
}

.titleHome{
    margin-top: 0;
    width: 90%;
    font-size: 2vw;
    font-family: 'Roboto', sans-serif;
    text-align: left;
    margin-top: 1vw;
    margin-bottom: 3vw;
    padding-left: 5%;
    padding-right: 5%;
}

.subTitleHome{
    position: relative;
    top: 0;
    margin-top: 3vw;
    margin-bottom: 3vw;
    left: 0;
    width: 90%;
    padding-left: 5%;
    padding-right: 5%;
    font-size: 2vw;
    font-family: 'Roboto', sans-serif;
    color: black;
    text-align: left;
    font-weight: bold;
}

.descriptionHome{
    position: relative;
    margin-top: 3vw;
    margin-bottom: 3vw;
    top: 0;
    left: 0;
    width: 90%;
    padding-left: 5%;
    padding-right: 5%;
    font-weight: lighter;
    font-family: 'Roboto', sans-serif;
    font-size: 1.5vw;
    color: rgb(0, 72, 207);
}

.imgetineraire{
    display: flex;
    margin: auto;
    width: 60%;
    padding-top: 2%;
    padding-left: 15%;
    padding-right: 15%;
    padding-bottom: 2%;

}


.btnetineraire{
    display: flex;
    position: relative;
    top: 0;
    margin: auto;
    padding: 3%;
    border-radius: 1vw;
    width: fit-content;
    font-family:'Roboto', sans-serif;
    background-color: #191e8c;
    color: white;
    text-decoration: none;
    font-size: 2vw; 
    margin-top: 2vw; 
    transition: 0.3s;
    box-shadow: 0px 0px 28px -1px rgba(0,0,0,0.54);
}

.btnetineraire:hover{
    position: relative;
    top: -0.8vw;
}

.divbottom{
    height: fit-content;
    background-color: rgb(235, 235, 235);
    padding-top: 4%;
    margin-top: 7%;

}

.divbottom > h1 > span{
    font-weight: bold;
}

.divbottom > h1{
    position: relative;
    font-size: 1.2vw;
    padding-left: 3%;
    padding-right: 3%;
    top: 0;
    left: 0;
    width: 93%;
    padding-top:0;
    padding-bottom: 3.5%;
    font-family: 'Roboto', sans-serif;
    font-weight: lighter;

}

.titlebottom{
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    text-align: center;
    font-family:'Roboto', sans-serif;
    margin-top: 4vw;
    margin-bottom: 2vw;
    font-size: 2vw;
}

.imgbottom{
    position: relative;
    top: 0;
    display: flex;
    margin: auto;
    height: 50vw;
    margin-top: 0;
}

.divfooter{
    position: relative;
    top: 0;
    left: 0;
    width: 96%;
    height: fit-content;
    background-color: rgb(235, 235, 235);
    justify-content: center;
    padding: 2%;
    padding-top: 4%;
    padding-bottom: 4%;
    
}

.divfooter > h1{
    display: flex;
    margin: auto;
    width: fit-content;
    font-size:1.5vw;
    font-family:'Roboto', sans-serif;
    color: #191e8c;
}

.divbanner{
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: fit-content;
}

.divbanner > h1{
    position:absolute;

    top: 11.5vw;
    left: 2vw;
    font-family: 'Roboto', sans-serif;
    font-size: 13vw;
    font-weight: bold;
    color: white;
}

.divpartenaire{
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    margin-bottom: 3.3vw;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    justify-content: center;
    align-items: center;

}

.divpartenaire > div{
    position: relative;
    top: 0;
    left: 0;
    display: flex;
}

.logopartenaire{
    display: flex;
    margin: auto;
    margin-top: 1.5vw;
    margin-bottom: 1.5vw;
    align-items: center;
    justify-content: center;

}

.oneofone{
    height: 12vw;
}

.twoofone{
    height: 13vw;
}

.oneoftwo{
    height: 10vw;
}

.twooftwo{
    height: 12vw;
}

.oneofthree{
    height: 13vw;
}
.twoofthree{
    height: 13vw;
}

.oneoffour{
    height: 13vw;
}

.twooffour{
    height: 13vw;
}

.mobiletitle{
    display: none;
}

@media screen and (max-width: 499px) {
    body{
        padding: 0;
    }

    .mobiletitle{
        display: inline;
    }

    .headerdiv{
        margin-top: 4vw;
        margin-bottom: 4vw;
    }

    .headerdiv > img{
        height: 14vw;
    }

    .divbanner > h1{
        
        font-size: 15vw;
        width: 75vw;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-family: 'Roboto';
    }

    .titledesktop{
        display: none;
    }

    .sub-headerdiv{
        text-align: center;
        padding: 3vw;
        padding-top: 6vw;
        padding-bottom: 6vw;
        width: 94.1vw;
    }

    .sub-headerdiv > h1{
       font-size: 4.3vw;
       padding: 2%;
       padding-top: 6.2%;
       padding-bottom: 6.2%;
    }
    .divbottom > h1{
        font-size: 3.2vw;
    }
    .btnInscription{
        top: -6.5vw;
        border: 0.9vw solid #f9c700;
        border-radius: 3vw;
        font-size: 5vw;
        padding: 3vw;
        padding-left: 8vw;
        padding-right: 8vw;
    }
    .titleHome{
        padding-left: 5%;
        padding-right: 5%;
        width: 90%;
        font-size: 3.5vw;
        
    }
    .subTitleHome{
        padding-left: 5%;
        padding-right: 5%;
        width: 90%;
        font-size: 3.5vw;
    }
    .descriptionHome{
        padding-left: 5%;
        padding-right: 5%;
        width: 90%;
        font-size: 3.5vw;
    }

    .divbottom{
        padding: 5%;
        padding-top: 7.7%;
        padding-bottom: 5%;
    }

    .divfooter > h1{
        font-size: 3vw;
        text-align: center;
    }

    .imgetineraire{
        margin-top: 6%;
        margin-bottom: 6%;
        padding-left: 7%;
        padding-right: 7%;
        width: 84%;
    }

    .btnetineraire{
        font-size: 3.8vw;
    }

    .titlebottom{
        font-size: 5vw;
        margin-top: 8vw;
        margin-bottom: 8vw;
    }

    .btnetineraire{
        border-radius: 3.5vw;
    }

    .imgbottom{
        display: block;
        position: relative;
        margin: 0;
        left: 0;
        width: 100%;
        height: 50%;
    }

    .divpartenaire > div > img{
        height: 12vw;
    }
    

    #popup {
        display: none;
        position: fixed;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        padding: 20px;
        background-color: white;
        border: 1px solid #333;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
        z-index: 1000;
    }

    #popup-background {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5);
        z-index: 999;
    }

    #popup button {
        margin-top: 10px;
    }

    
    
}

@media screen and (min-width: 500px ) and (max-width: 1050px){
   
    body{
        padding: 0;
    }
    .mobiletitle{
        display: none;
    }
    .headerdiv > img{
        height: 9vw;
    }
    .sub-headerdiv{
        text-align: center;
        padding: 3vw;
        padding-top: 6vw;
        padding-bottom: 6vw;
        width: 94.1vw;
    }
    .sub-headerdiv > h1{
        font-size: 3vw;
    }
    .titleHome{
        padding-left: 3%;
        padding-right: 3%;
        width: 93%;
        font-size: 3vw;
        
    }
    .subTitleHome{
        padding-left: 3%;
        padding-right: 3%;
        width: 93%;
        font-size: 3vw;
    }
    .descriptionHome{
        padding-left: 3%;
        padding-right: 3%;
        width: 93%;
        font-size: 2vw;
    }

    .divbottom > h1{
        font-size: 2.5vw;
    }

    .divfooter > h1{
        font-size: 2.5vw;
    }

    .btnetineraire{
        font-size: 3vw;
    }

    .divbanner > h1{
        top: 16vw;
        font-size: 25vw;
    }

    .imgbottom{
        display: block;
        position: relative;
        margin: 0;
        left: 0;
        width: 100%;
        height: 50%;
    }

    .titlebottom{
        margin-top: 8vw;
        font-size: 3.5vw;
        margin-bottom: 2.6vw;
    }

    .divpartenaire{
        margin-bottom: 8vw;
    }

    .divpartenaire > div > img{
        height: 10vw;
    }

    #popup {
        display: none;
        position: fixed;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        padding: 20px;
        background-color: white;
        border: 1px solid #333;
        box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
        z-index: 1000;
    }
    #popup-background {
        display: none;
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.5);
        z-index: 999;
    }
    #popup button {
        margin-top: 10px;
    }
}


